Skip to main content
PUT

Authorizations

Authorization
string
header
required

Source-bound WorkOS API key or configured machine OIDC token. OIDC webhook management requires karsa:webhooks:manage.

Headers

Idempotency-Key
string
required

Stable source submission identifier, unique for this source and route

Required string length: 1 - 200
Example:

"01J9ZQ2YD15Y2YZ5H0W3J7D3E2"

Path Parameters

transactionId
string
required
Required string length: 1 - 200

Body

application/json
effectiveAt
string<date-time>
required
changeReason
string | null
Required string length: 1 - 500
senderCustomerId
string | null
Required string length: 1 - 200
senderAccountId
string | null
Required string length: 1 - 200
receiverCustomerId
string | null
Required string length: 1 - 200
receiverAccountId
string | null
Required string length: 1 - 200
sentAmount
string | null
Pattern: ^-?(?:0|[1-9]\d{0,34})(?:\.\d{1,30})?$
sentCurrency
string | null
Required string length: 1 - 200
receivedAmount
string | null
Pattern: ^-?(?:0|[1-9]\d{0,34})(?:\.\d{1,30})?$
receivedCurrency
string | null
Required string length: 1 - 200
normalizedAmount
string | null
Pattern: ^-?(?:0|[1-9]\d{0,34})(?:\.\d{1,30})?$
normalizedCurrency
string | null
Required string length: 1 - 200
paymentRail
string | null
Required string length: 1 - 200
network
string | null
Required string length: 1 - 200
description
string | null
Required string length: 1 - 5000
fees
object[]
Maximum array length: 50
providerReferences
object[]
Maximum array length: 50
status
string
Required string length: 1 - 200
occurredAt
string<date-time>
customData
object | null
documents
object[]
Maximum array length: 25

Response

A new immutable version was appended to the transaction

outcome
enum<string>
required
Available options:
CREATED,
VERSION_CREATED
resourceId
string
required
Minimum string length: 1
versionId
string
required
Minimum string length: 1
currentVersionId
string | null
required
Minimum string length: 1